using System;
using System.Collections.Generic;

namespace XmlDataContractExample
{
    class Program
    {
        static void Main(string[] args)
        {
            try
            {
                //We'll generate some business objects we want to save.
                List<BusinessObject> businessObjectsToSave = new List<BusinessObject>();
                businessObjectsToSave.Add(new BusinessObject(1, "bob", "Sam", 23));
                businessObjectsToSave.Add(new BusinessObject(3, "test", "test2", 11));
                DataAccessClass.SaveBusinessObjects(businessObjectsToSave);
            }
            catch (Exception ex)
            {
                Console.WriteLine(ex.Message);
            }
            Console.WriteLine("Press a key to end...");
            Console.ReadKey();
        }

    }

    public class DataAccessClass
    {
        
        public DataAccessClass()
        {
            
        }

        public static void SaveBusinessObjects(List<BusinessObject> businessObjectsToSave)
        {
            //Translate the objects to our contract objects.
            BusinessObjectUpdateBatch batch = new BusinessObjectUpdateBatch(businessObjectsToSave);
            //Serialize the batch to pass to the database.
            string serializedBatch = BusinessObjectUpdateBatch.Serialize(batch);
            //Use as parameter for a database call!
            //Or push to the console so we can see what it generated. :)
            Console.WriteLine(serializedBatch);
            Console.WriteLine();
        }
    }
}
